package net.wanji.com.cache;

import lombok.extern.slf4j.Slf4j;
import net.wanji.databus.dao.mapper.CrossInfoMapper;
import net.wanji.databus.po.CrossInfoPO;
import org.apache.commons.lang3.StringUtils;
import org.springframework.boot.CommandLineRunner;
import org.springframework.stereotype.Component;

import javax.annotation.Resource;
import java.util.Collections;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

/**
 * @author duanruiming
 * @date 2023/05/09 14:30
 */
@Slf4j
@Component
@SuppressWarnings("unchecked")
public class CrossInfoCache implements CommandLineRunner {

    @Resource
    private CrossInfoMapper crossInfoMapper;

    private static final Map<String, CrossInfoPO> crossInfoMap = new HashMap<>();

    public Map<String, CrossInfoPO> getCrossInfoCache() {
        if (!crossInfoMap.isEmpty()) {
            return crossInfoMap;
        }
        return Collections.EMPTY_MAP;
    }

    public CrossInfoPO getCrossInfo(String key) {
        if (!crossInfoMap.isEmpty()) {
            return crossInfoMap.get(key);
        }
        return null;
    }

    @Override
    public void run(String... args) throws Exception {
        init();
    }

    private void init() {
        List<CrossInfoPO> CrossInfoPOS = crossInfoMapper.selectAll();
        for (CrossInfoPO CrossInfoPO : CrossInfoPOS) {
            String key = StringUtils.join("/", CrossInfoPO.getIp(), ":", CrossInfoPO.getPort());
            crossInfoMap.put(key, CrossInfoPO);
        }
    }

}
