package net.wanji.com.common.enums;

import org.apache.commons.lang3.StringUtils;

/**
 * @author duanruiming
 * @date 2023/05/08 10:17
 */
public enum HexSign {

    HEARTBEAT("1631", "heartbeatService"),
    GET_SCHEDULE_PARAM("2393", "getScheduleService"),
    GET_DAY_SCHEDULE_PARAM("2394", "getDayScheduleService"),
    GET_DAILY_PLAN_PRAM("2392", "getDailyPlanService"),
    GET_PLAN_PARAM("2353", "getPlanService"),
    SET_SCHEDULE_PARAM("1293", "setScheduleService"),
    SET_DAILY_PLAN_PARAM("1292", "setDailyPlanService"),
    SET_PLAN_PARAM("1253", "setPlanService"),
    CTL_CROSS_CONTROL("11", "ctlControlService"),
    SIGNAL_REAL_DATA("1549", "signalRealDataService"),
    SIGNAL_NET_CONFIG("3300", "signalNetConfig");


    private String hexSign;
    private String className;

    HexSign(String hexSign, String className) {
        this.hexSign = hexSign;
        this.className = className;
    }

    public static String getClassNameByHexSign(String hexSign) {
        if (StringUtils.isEmpty(hexSign)) {
            return null;
        }
        for (HexSign uniqueHexSign : values()) {
            if (uniqueHexSign.hexSign.equals(hexSign)) {
                return uniqueHexSign.className;
            }
        }
        return null;
    }
}
